#!/bin/sh
#
HERE="$(dirname "$(readlink -f "$0")")"
#

DEVLIST=$(mount | grep -E "^\/dev\/" | grep -v "/loop" | awk '{print $1}' | sort | cut -f 3 -d '/' | tr '\n' '!' | sed -e 's#\!$##')

yad --fixed --center --window-icon=$HERE/Icons/SSD.png --title="     Mount filesystem..." --form --field "Select filesystem to UNMOUNT::CB" $DEVLIST > /tmp/input.txt

#
if [ "$(cat /tmp/input.txt | cut -f 1 -d '|')" != "" ]; then
 DEV="$(cat /tmp/input.txt | cut -f 1 -d '|')"
 mntpt=$(mount | grep "/dev/$DEV" | awk '{ print $3 }')
 [ "$mntpt" != "" ] && umount $mntpt
fi
